For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
            • POSTCreate organization
            • GETGet organization
            • GETGet basic details by name
            • GETGet basic details by ID
            • GETGet organization settings
            • PUTUpdate organization
            • DELDelete organization
            • GETList suborganizations by organization
            • GETExport organizations by paypoint
          • GETGet stats for an org or paypoint
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Ops endpointsBusiness entitiesOrganizations

Delete organization

|View as Markdown|Open in Claude|
DELETE
/Organization/:orgId
DELETE
/api/Organization/:orgId
$curl -X DELETE https://api-sandbox.payabli.com/api/Organization/123 \
> -H "requestToken: <apiKey>"
1{
2 "responseText": "Success",
3 "isSuccess": true,
4 "responseData": 245
5}
Delete an organization by ID.
Was this page helpful?
Previous

Update organization

Next

List suborganizations by organization

Authentication

requestTokenstring
API Key authentication via header

Path parameters

orgIdintegerRequired
The numeric identifier for organization, assigned by Payabli.

Response

Success
responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseDatastring or integer
Returns the organization ID.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error